__kernel void add(__global float* input, __global float* output,
                  const float alpha, const int N) {
  int gid = get_global_id(0);
  if (gid >= N) return;

  output[gid] = input[gid] + alpha;
}